Skip to content

Retrieve A Specific Pick List Item

Request

Retrieves one item of a pick list.

Security
apiKey
Path
pick_list_idstringrequired
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/pick_lists/{pick_list_id}/pick_list_items/{id}.xml
curl -i -X GET \
  'https://go.vworkapp.com/api/v5/pick_lists/{pick_list_id}/pick_list_items/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Statusstring
Example:"200 OK"
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<pick_list_item>
    <id>2347</id>
    <value>Returned to sender</value>
    <created_at>2015-07-09T02:30:22+00:00</created_at>
    <updated_at>2015-07-09T02:30:22+00:00</updated_at>
</pick_list_item>